//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;


namespace MindFusion.Reporting.WinForms.Samples.CS.SideBySideReport
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();

			categoryAdapter1.Fill(nwindDataSet1.Categories);

			comboBox1.SelectedIndex = 0;
			comboBox2.SelectedIndex = 1;

			report = new SimpleReport();
			reportViewer.Report = report;
		}

		SimpleReport report;

		private void button1_Click(object sender, EventArgs e)
		{
			report.Parameters[0].Value = comboBox1.SelectedValue;
			report.Parameters[1].Value = comboBox2.SelectedValue;
			report.Run();
		}
	}
}